	<header id="header" class="<?php echo ' type3 vertical-nav'; ?>">
    
        <!--container starts-->
        <div class="container">
        
            <!--logo starts-->
            <div id="logo" class="dt-sc-two-third no-space ">
				<?php
				$blog_title = dttheme_blog_title();
                if( dttheme_option('general', 'logo') ):
					
                    $url = dttheme_option('general', 'logo-url');
                    $url = !empty( $url ) ? $url : IAMD_BASE_URL."images/logo.png";
                    $retina_url = dttheme_option('general','retina-logo-url');
                    $retina_url = !empty($retina_url) ? $retina_url : IAMD_BASE_URL."images/logo@2x.png";
                    
                    $width = dttheme_option('general','retina-logo-width');
                    $width = !empty($width) ? $width."px" : "232px";
                    
                    $height = dttheme_option('general','retina-logo-height');
                    $height = !empty($height) ? $height."px" : "40px";
					?>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr($blog_title); ?>">
                        <img class="normal_logo" src="<?php echo esc_url($url); ?>" alt="<?php echo esc_attr($blog_title); ?>" title="<?php echo esc_attr($blog_title); ?>" id="dt_logo" />
                        <img class="retina_logo" src="<?php echo esc_url($retina_url); ?>" alt="<?php echo esc_attr($blog_title); ?>" title="<?php echo esc_attr($blog_title); ?>" style="width:<?php echo esc_attr($width); ?>; height:<?php echo esc_attr($height); ?>;" id="dt_retina_logo" />
                    </a><?php
                else:?>
                    <h2><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr($blog_title); ?>"><?php echo do_shortcode(get_option('blogname')); ?></a></h2><?php
                endif;?>
            </div>
            <!--logo ends-->
            <div class="contact-details dt-sc-one-third no-space last float-right">
                <?php
					global $dt_allowed_html_tags;
					$top_msg = stripslashes(dttheme_option('general','top-message'));
					$top_msg = do_shortcode($top_msg);
					echo !empty($top_msg) ? $top_msg : ' ';
				?>
            </div>
        </div><!--container ends-->
        
        <div class="menu-main-menu-container">
          <div class="container"> 
            <!--nav starts-->
            <nav id="main-menu">
                <?php 
                $tpl_default_settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
                $tpl_default_settings = is_array($tpl_default_settings) ? $tpl_default_settings  : array();
                $menu_locations = (isset($tpl_default_settings['menu-locations']) && $tpl_default_settings['menu-locations'] != '') ?  $tpl_default_settings['menu-locations'] : 'header_menu';
                
                $primaryMenu = NULL;
                if (function_exists('wp_nav_menu')) :
                    $primaryMenu = wp_nav_menu(array(
                                'theme_location'=>$menu_locations,
                                'menu_id'=>'menu-main-menu',
                                'menu_class'=>'group menu',
                                'fallback_cb'=>'dttheme_default_navigation_alt',
                                'echo'=>false,
                                'container'=>false,
                                'walker' => new DTFrontEndMenuWalker()
                            ));
                endif;
                echo !empty($primaryMenu) ? $primaryMenu : ' ';
                ?>
            </nav>
            <!--nav ends-->
            <div class="dt-sc-social-icons"><?php
                echo do_shortcode('[dt_sc_social/]'); ?>
            </div>
                        
          </div><!--container ends-->
        </div>
    
		<nav class="nav-roundslide collapse">
            <a class="menu-btn">
               <?php echo '<h3>M<i class="fa fa-navicon "></i>NU</h3>'; ?>
            </a>
    	</nav>
		<nav class="pushy pushy-left">
			<div id="rt-menu-wrapper">
				<?php 
					$tpl_default_settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
					$tpl_default_settings = is_array($tpl_default_settings) ? $tpl_default_settings  : array();
					$menu_locations = (isset($tpl_default_settings['menu-locations']) && $tpl_default_settings['menu-locations'] != '') ?  $tpl_default_settings['menu-locations'] : 'header_menu';
                    $primaryMenu = NULL;
                    if (function_exists('wp_nav_menu')) :
                        $primaryMenu = wp_nav_menu(array(
                                    'theme_location'=>$menu_locations,
                                    'menu_id'=>'',
                                    'menu_class'=>'pusy-left-menu',
                                    'fallback_cb'=>'dttheme_default_navigation_alt',
                                    'echo'=>false,
                                    'container'=>false,
                                    'walker' => new DTFrontEndMenuWalker()
                                ));
                    endif;
                    echo !empty($primaryMenu) ? $primaryMenu : ' ';
                    ?>
			</div>
		</nav>
		<div class="site-overlay"></div>
    
		<div id="fp-nav">
                <?php 
				$tpl_default_settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
				$tpl_default_settings = is_array($tpl_default_settings) ? $tpl_default_settings  : array();
				$menu_locations = (isset($tpl_default_settings['menu-locations']) && $tpl_default_settings['menu-locations'] != '') ?  $tpl_default_settings['menu-locations'] : 'header_menu';
				
                $primaryMenu = NULL;
                if (function_exists('wp_nav_menu')) :
                    $primaryMenu = wp_nav_menu(array(
                                'theme_location'=>$menu_locations,
                                'menu_id'=>'menu-main-menu',
                                'menu_class'=>'group menu dt-vertical-menu',
                                'fallback_cb'=>'dttheme_default_navigation_alt',
                                'echo'=>false,
                                'container'=>false,
                                'walker' => new DTFrontEndMenuWalker()
                            ));
                endif;
                echo !empty($primaryMenu) ? $primaryMenu : ' ';
                ?>
		</div>
	</header>