<!--specialty-pages -->
<div id="specialty-pages" class="bpanel-content">
    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content">
    	 <ul class="sub-panel">
         <?php $sub_menus = array(
					array("title"=>esc_html__("Global",'mountcool'), "link"=>"#global-layout"),
					array("title"=>esc_html__("Post Archives",'mountcool'), "link"=>"#post-archives"),
                    array("title"=>esc_html__("Portfolio Archives",'mountcool'), "link"=>"#portfolio-archives"),
					array("title"=>esc_html__("Search",'mountcool'), "link"=>"#search"),
					array("title"=>esc_html__("404",'mountcool'), "link"=>"#not-found-404"),
					array("title"=>esc_html__("Extra choices",'mountcool'), "link"=>"#archives-meta-options"));
				  foreach($sub_menus as $menu): ?>
                  	<li><a href="<?php echo esc_url($menu['link']); ?>"><?php echo esc_html($menu['title']); ?></a></li>
		 <?php endforeach?>
         </ul>
         
         <?php 
		 
		 $posts_layout_array_one =   array( 'post-thumb'=>esc_html__("Thumb view.",'mountcool'),'one-half-column'=>esc_html__("Two posts per row.",'mountcool'));
		 
		 $posts_layout_array_two =   array( 'one-column'=>esc_html__("Single post per row.",'mountcool'),'one-half-column'=>esc_html__("Two posts per row.",'mountcool'),'one-third-column'=>esc_html__("Three posts per row.",'mountcool'), 'one-fourth-column' => esc_html__("Four posts per row.",'mountcool'));

		$tabs = array(

				array(  "id"=>"global-layout",
						"layout-title"=>esc_html__("Global Layout",'mountcool'),
						"layout-tooltip"=>esc_html__("You can choose between a left, right or no sidebar layout globally.",'mountcool')
				 ),
				 
				array(  "id"=>"post-archives", 
						"layout-title"=>esc_html__("Post's Archive Page Layout",'mountcool'),
						"layout-tooltip"=>esc_html__("You can choose between a left, right or no sidebar layout for the Archive pages.",'mountcool'),
						"post-layout-title" => esc_html__("Posts Layout",'mountcool'),
						"post-layout-tooltip"=>esc_html__("Your archive results will use the layout you select below.",'mountcool'),                                
						"post-layouts" => $posts_layout_array_one
				 ),


				array(  "id"=>"portfolio-archives", 
						"layout-title"=>esc_html__("Portfolio Custom Post's Archive Page Layout",'mountcool'),
						"layout-tooltip"=>esc_html__("You can choose between a left, right or no sidebar layout for the Portfolio custom post's Archive page.",'mountcool'),
						"post-layout-title" => esc_html__("Posts Layout",'mountcool'),
						"post-layout-tooltip"=>esc_html__("Your archive results will use the layout you select below.",'mountcool'),                                
						"post-layouts" => array(
							'one-half-column'=>esc_html__("Two gallery items per row.",'mountcool'),
							'one-third-column'=>esc_html__("Three gallery items per row.",'mountcool'),                                   
							'one-fourth-column' => esc_html__("Four gallery items per row.",'mountcool'))
				),

				array(  "id"=>"search",
						"layout-title"=>esc_html__("Search Layout",'mountcool'),
						"layout-tooltip"=>esc_html__("You can choose between a left, right or no sidebar layout for your Search page.",'mountcool'),
						"post-layout-title" => esc_html__("Posts Layout",'mountcool'),
						"post-layout-tooltip"=>esc_html__("Your Search results will use the layout you select below.",'mountcool'),
						"post-layouts" => $posts_layout_array_one
				),

				array(  "id"=>"not-found-404",
						"layout-title"=>esc_html__("404 Layout",'mountcool'),
						"layout-tooltip"=>esc_html__("You can choose between a left, right or no sidebar layout for your 404 page.",'mountcool'),
						
						"bg-title"=>esc_html__("404 Background",'mountcool'),
						"bg-label"=>esc_html__("404 background image",'mountcool'),
						"bg-tooltip"=>esc_html__('Upload an image for the theme\'s 404 page background','mountcool'),

						"content-title" => esc_html__("404 Message",'mountcool'),
						"content-tooltip"=>esc_html__("You can give custom 404 page message",'mountcool')
				),
				
				array(  "id"=>"archives-meta-options",
						"layout-title"=>esc_html__("Archives Meta Option",'mountcool'),
						"layout-tooltip"=>esc_html__("You can choose meta option for archive pages.",'mountcool'),
						
				));
				
				?>
        <?php foreach($tabs as $tab): 
				$id =  $tab['id'];?>
        	<div id="<?php echo esc_attr($id); ?>" class="tab-content">
            	 <div class="bpanel-box">
                 
				 <?php if($id != 'archives-meta-options'  ): ?>
                 	<!-- Section 1 -->	
                    <div class="box-title"><h3><?php echo esc_html($tab['layout-title']); ?></h3></div>
                    <div class="box-content">
                    	<p class="note"> <?php echo esc_html($tab['layout-tooltip']); ?></p>
                        
                        
                        <?php if($id == 'global-layout'): ?>
                                <div class="bpanel-option-set">
                                    <h6><?php esc_html_e('Force to Enable Global Page Layout','mountcool'); ?></h6>
                                    <?php dttheme_switch("",'specialty','force-enable-global-layout'); ?>
                                    <p class="note"> <?php esc_html_e('Force to enable or disable global page layout for all pages.','mountcool'); ?>  </p>
                                </div>
                                <div class="clear"> </div>
                                <div class="hr"> </div>
                       <?php  endif; ?>

                
                        <div class="bpanel-option-set">
                        	<ul class="bpanel-post-layout bpanel-layout-set" id="<?php echo 'dt-'.$id;?>">
                           	<?php $layout = array('content-full-width'=>'without-sidebar','with-left-sidebar'=>'left-sidebar','with-right-sidebar'=>'right-sidebar','both-sidebar'=>'both-sidebar');
							foreach($layout as $key => $value):
								$class = ( $key ==  dttheme_option('specialty',"{$id}-layout")) ? " class='selected' " : "";
								echo "<li><a href='#' rel='{$key}' {$class}><img src='".IAMD_FW_URL."theme_options/images/columns/{$value}.png' alt='' /></a></li>";
							endforeach; ?>
                            </ul>
                            <input id="mytheme[specialty][<?php echo esc_attr($id); ?>-layout]" name="mytheme[specialty][<?php echo esc_attr($id); ?>-layout]" type="hidden"  
                            	value="<?php echo dttheme_option('specialty',"{$id}-layout"); ?>"/>
                        </div>
                        
                            
						 <?php 
                         $sb_layout = dttheme_option('specialty',"{$id}-layout");
                         $sidebar_both = $sidebar_left = $sidebar_right = '';
                         if($sb_layout == 'content-full-width') {
                            $sidebar_both = 'display:none;'; 
                         } elseif($sb_layout == 'with-left-sidebar') {
                            $sidebar_right = 'display:none;'; 
                         } elseif($sb_layout == 'with-right-sidebar') {
                            $sidebar_left = 'display:none;'; 
                         } 
                         ?>
                        <div id="bpanel-widget-area-options" <?php echo 'class="dt-'.$id.'"';?> style=" <?php echo esc_html($sidebar_both); ?>">
                            
                            <div id="left-sidebar-container" class="bpanel-page-left-sidebar" style=" <?php echo esc_html($sidebar_left); ?>" >
                                <!-- 2. Every Where Sidebar Left Start -->
                                <div id="page-commom-sidebar" class="bpanel-sidebar-section custom-box">
                                    <h6><?php esc_html_e('Disable Every Where Sidebar Left','mountcool'); ?></label></h6>
                                    <?php dttheme_switch("",'specialty','disable-everywhere-left-sidebar-for-'.$id); ?>
                                </div><!-- Every Where Sidebar Left End-->
                            </div>
        
                            <div id="right-sidebar-container" class="bpanel-page-right-sidebar" style=" <?php echo esc_html($sidebar_right); ?>" >
                                <!-- 3. Every Where Sidebar Right Start -->
                                <div id="page-commom-sidebar" class="bpanel-sidebar-section custom-box">
                                    <h6><?php esc_html_e('Disable Every Where Sidebar Right','mountcool'); ?></label></h6>
                                    <?php dttheme_switch("",'specialty','disable-everywhere-right-sidebar-for-'.$id); ?>
                                </div><!-- Every Where Sidebar Right End-->
                            </div>
                            
                        </div>
                    </div><!-- Section 1 End -->
                    <?php  endif; ?>

                    <?php if( $id != "not-found-404" && $id != "archives-meta-options" && $id != "global-layout" ): ?>
                    <!-- Post Layout Section -->
	                <div class="box-title"><h3><?php echo esc_html($tab['post-layout-title']); ?></h3></div>
                    <div class="box-content">
                    	<p class="note"><?php echo esc_html($tab['post-layout-tooltip']); ?></p>
                    	<div class="bpanel-option-set">
                        	<ul class="bpanel-post-layout bpanel-layout-set">
                            <?php $posts_layout = $tab['post-layouts'];
									$v = dttheme_option('specialty',"{$id}-post-layout");
									$v = !empty($v) ? $v : "post-thumb";
								  foreach($posts_layout as $key => $value):
									$class = ( $key ==  $v ) ? " class='selected' " :"";								  
									echo "<li><a href='#' rel='{$key}' {$class} title='{$value}'><img src='".IAMD_FW_URL."theme_options/images/columns/{$key}.png' alt='' /></a></li>";
                           		 endforeach;?>
                    		</ul>
                            <input id="mytheme[specialty][<?php echo esc_attr($id); ?>-post-layout]" name="mytheme[specialty][<?php echo esc_attr($id); ?>-post-layout]" type="hidden"  
                            	value="<?php echo dttheme_option('specialty',"{$id}-post-layout"); ?>"/>
                        </div>
                        
                    </div>
                    <!-- Post Layout Section End-->
                    <?php endif; ?>

                    <!-- 404 Content -->
                    <?php if($id == "not-found-404"): ?>
                        <div class="box-title"><h3><?php echo esc_html($tab['content-title']); ?></h3></div>
                        <div class="box-content">
                        	<p class="note"><?php echo esc_html($tab['content-tooltip']); ?></p>
                            
                            
                            <div class="bpanel-option-set">
                                <h6><?php esc_html_e('404 Custom Message','mountcool'); ?></h6>
                                <textarea id="mytheme-404-text" name="mytheme[specialty][404-message]" rows="" 
                                	cols=""><?php echo stripslashes(dttheme_option('specialty','404-message')); ?></textarea>
                            </div>
                            <div class="hr"></div>
                            
                            <h6><?php esc_html_e("Disable Font Settings",'mountcool'); ?></h6>
                            <div class="column one-fifth bpanel-option-set">
                            	<?php dttheme_switch("",'specialty','disable-404-font-settings'); ?>
                            </div>
                            <div class="column four-fifth last"><p class="note"><?php esc_html_e('Enable / Disable 404 Font settings','mountcool'); ?></p></div>
                            <div class="hr"></div>
                        
                        	<!-- Font Section -->                        	
                            <div class="column one-column">
                                <div class="bpanel-option-set">
                                    <?php dttheme_admin_fonts(esc_html__('Message Font','mountcool'),'mytheme[specialty][message-font]',dttheme_option('specialty','message-font')); ?>
                                </div>
                            </div>
                            <!-- Font Section -->
                            <div class="hr_invisible"> </div>
                            <!-- Font Color Section -->
                            <div class="column one-half">
        	                    <?php $label = 		esc_html__("Message Font Color",'mountcool');
									  $name  =		"mytheme[specialty][message-font-color]";	
									  $value =  	 (dttheme_option('specialty','message-font-color')!= NULL) ? dttheme_option('specialty','message-font-color') : "#";
									  $tooltip = 	esc_html__("Pick a custom color for 404 message font color of the theme e.g. #a314a3",'mountcool'); ?>
									  <h6> <?php echo esc_html($label); ?> </h6>
                                  <?php dttheme_admin_color_picker("",$name,$value,''); ?>
                            
                            </div><!-- Font Color Section -->
                            <div class="column one-half last">
								<?php dttheme_admin_jqueryuislider(esc_html__('Message Font Size','mountcool'),"mytheme[specialty][message-font-size]",
    	                        dttheme_option('specialty',"message-font-size")); ?>
                            </div>
                            
                        </div>
                    <?php endif;?>
                    <!-- 404 Content End-->
                    
                    
                    <!--Archives meta option starts-->
                    <?php if( $id == "archives-meta-options" ): ?>
                            
                          <div class="bpanel-box">
                            <div class="box-title">
                                <h3><?php esc_html_e('Blog Archives Options','mountcool'); ?></h3>
                            </div>
                            
                            <div class="box-content">
                                  
                             <div class="one-half-content">
                                <h6><?php esc_html_e('Allow Excerpt', 'mountcool'); ?></h6>
                                <div class="column one-fifth">
                                    
									<?php $checked = ( "true" ==  dttheme_option('specialty','archives-meta-options-enable-excerpt') ) ? ' checked="checked"' : ''; ?>
                                    <?php $switchclass = ( "true" ==  dttheme_option('specialty','archives-meta-options-enable-excerpt') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                                    <div data-for="dttheme-archives-meta-options-enable-excerpt" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                                    <input class="hidden" id="dttheme-archives-meta-options-enable-excerpt" name="mytheme[specialty][archives-meta-options-enable-excerpt]"
                                        type="checkbox" value="true" <?php echo esc_html($checked); ?> />
                                </div>
                                <div class="column four-fifth last">
                                      <p class="note"><?php esc_html_e('YES! to allow excerpt', 'mountcool'); ?></p>
                                </div>
                             </div>    
    
                             <div class="one-half-content last">
                                <h6><?php esc_html_e('Excerpt Length', 'mountcool'); ?></h6>
                                <div class="column one-fifth">
                                    <input type="text" name="mytheme[specialty][archives-meta-options-excerpt]" class="large" 
                                        value="<?php echo stripslashes(dttheme_option('specialty', 'archives-meta-options-excerpt')); ?>"/>
                                </div>
                                <div class="column four-fifth last">
                                      <p class="note"><?php esc_html_e('Excerpt Length', 'mountcool'); ?></p>
                                </div>
                             </div>
                             <div class="hr"></div>
                            
                            
                             <p><?php esc_html_e('Globally disable Post meta options for post archive pages', 'mountcool'); ?></p>
                             <div class="column one-half ">
                                <h6><?php esc_html_e('Author Meta', 'mountcool'); ?></h6>
                                <div class="column one-fifth">
                                    <?php $checked = ( "true" ==  dttheme_option('specialty','archives-meta-options-author-meta') ) ? ' checked="checked"' : ''; ?>
                                    <?php $switchclass = ( "true" ==  dttheme_option('specialty','archives-meta-options-author-meta') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                                    <div data-for="dttheme-archives-meta-options-author-meta" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                                    <input class="hidden" id="dttheme-archives-meta-options-author-meta" name="mytheme[specialty][archives-meta-options-author-meta]"
                                        type="checkbox" value="true" <?php echo esc_html($checked); ?> />   
                                                            
                                </div>
                                <div class="column four-fifth last">
                                      <p class="note"><?php esc_html_e('YES! to disable post archive author meta information', 'mountcool'); ?></p>
                                </div>
                             </div>
                            
                            
                             <div class="column one-half last">
                                <h6><?php esc_html_e('Date Meta', 'mountcool'); ?></h6>
                                <div class="column one-fifth">
                                    <?php $checked = ( "true" ==  dttheme_option('specialty','archives-meta-options-date-meta') ) ? ' checked="checked"' : ''; ?>
                                    <?php $switchclass = ( "true" ==  dttheme_option('specialty','archives-meta-options-date-meta') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                                    <div data-for="dttheme-archives-meta-options-date-meta" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                                    <input class="hidden" id="dttheme-archives-meta-options-date-meta" name="mytheme[specialty][archives-meta-options-date-meta]"
                                        type="checkbox" value="true" <?php echo esc_html($checked); ?> />                        
                                </div>
                                <div class="column four-fifth last">
                                      <p class="note"><?php esc_html_e('YES! to disable post archive date meta information', 'mountcool'); ?></p>
                                </div>
                             </div>
                             <div class="column one-half ">
                                <h6><?php esc_html_e('Comment Meta', 'mountcool'); ?></h6>
                                <div class="column one-fifth">
                                    <?php $checked = ( "true" ==  dttheme_option('specialty','archives-meta-options-comment-meta') ) ? ' checked="checked"' : ''; ?>
                                    <?php $switchclass = ( "true" ==  dttheme_option('specialty','archives-meta-options-comment-meta') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                                    <div data-for="dttheme-archives-meta-options-comment-meta" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                                    <input class="hidden" id="dttheme-archives-meta-options-comment-meta" name="mytheme[specialty][archives-meta-options-comment-meta]"
                                        type="checkbox" value="true" <?php echo esc_html($checked); ?> />                        
                                </div>
                                <div class="column four-fifth last">
                                      <p class="note"><?php esc_html_e('YES! to disable post archive comment meta information', 'mountcool'); ?></p>
                                </div>
                             </div>
                            
        
                             <div class="column one-half last">
                                <h6><?php esc_html_e('Category Meta', 'mountcool'); ?></h6>
                                <div class="column one-fifth">
                                    <?php $checked = ( "true" ==  dttheme_option('specialty','archives-meta-options-category-meta') ) ? ' checked="checked"' : ''; ?>
                                    <?php $switchclass = ( "true" ==  dttheme_option('specialty','archives-meta-options-category-meta') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                                    <div data-for="dttheme-archives-meta-options-category-meta" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                                    <input class="hidden" id="dttheme-archives-meta-options-category-meta" name="mytheme[specialty][archives-meta-options-category-meta]"
                                        type="checkbox" value="true" <?php echo esc_html($checked); ?> />                        
                                </div>
                                <div class="column four-fifth last">
                                      <p class="note"><?php esc_html_e('YES! to disable post archive category information', 'mountcool'); ?></p>
                                </div>
                             </div>
                             <div class="column one-half ">
                                <h6><?php esc_html_e('Tag Meta', 'mountcool'); ?></h6>
                                <div class="column one-fifth">
                                    <?php $checked = ( "true" ==  dttheme_option('specialty','archives-meta-options-tag-meta') ) ? ' checked="checked"' : ''; ?>
                                    <?php $switchclass = ( "true" ==  dttheme_option('specialty','archives-meta-options-tag-meta') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                                    <div data-for="dttheme-archives-meta-options-tag-meta" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                                    <input class="hidden" id="dttheme-archives-meta-options-tag-meta" name="mytheme[specialty][archives-meta-options-tag-meta]"
                                        type="checkbox" value="true" <?php echo esc_html($checked); ?> />                        
                                </div>
                                <div class="column four-fifth last">
                                      <p class="note"><?php esc_html_e('YES! to disable post archive tag information', 'mountcool'); ?></p>
                                </div>
                             </div>
                            </div>
                            
                            
                            <div class="box-title">
                                <h3><?php esc_html_e('Change Portfolio Permalinks', 'mountcool'); ?></h3>
                            </div>
            
                            <div class="box-content">
                                <div class="column one-third"><label><?php esc_html_e('Single Portfolio slug', 'mountcool'); ?></label></div>
                                <div class="column two-third last">
                                    <input name="mytheme[specialty][single-portfolio-slug]" type="text" class="medium" value="<?php echo trim(stripslashes(dttheme_option('specialty','single-portfolio-slug'))); ?>" />
                                    <p class="note"><?php esc_html_e('Do not use characters not allowed in links. Use, eg. portfolio-item <br> <b>After change go to Settings > Permalinks and click Save changes.</b>', 'mountcool'); ?></p>
                                </div>
                                <div class="hr"></div>
            
                                <div class="column one-third"><label><?php esc_html_e('Portfolio Category slug', 'mountcool'); ?></label></div>
                                <div class="column two-third last">
                                    <input name="mytheme[specialty][portfolio-category-slug]" type="text" class="medium" value="<?php echo trim(stripslashes(dttheme_option('specialty','portfolio-category-slug'))); ?>" />
                                    <p class="note"><?php esc_html_e('Do not use characters not allowed in links. Use, eg. portfolio-types <br> <b>After change go to Settings > Permalinks and click Save changes.</b>', 'mountcool'); ?></p>
                                </div>
                                <div class="hr"></div>
            
                                <div class="column one-third"><label><?php esc_html_e('Portfolio Tag slug', 'mountcool'); ?></label></div>
                                <div class="column two-third last">
                                    <input name="mytheme[specialty][portfolio-tag-slug]" type="text" class="medium" value="<?php echo trim(stripslashes(dttheme_option('specialty','portfolio-tag-slug'))); ?>" />
                                    <p class="note"><?php esc_html_e('Do not use characters not allowed in links. Use, eg. portfolio-tags <br> <b>After change go to Settings > Permalinks and click Save changes.</b>', 'mountcool'); ?></p>
                                </div>
                            </div>
                          </div>  
                            
                            
                    <?php endif; ?>
                    <!--Archives meta options ends-->

                 </div><!-- .bpanel-box end -->
            </div><!-- .tab-content end -->
        <?php endforeach;?>
    </div>
</div><!--specialty-pages end-->