<?php
/*
Template Name: One Page Template
*/
?>
<?php get_header(); ?>
            
    <?php
    #To get sections for one page 
    $sections = dttheme_onepage_sections();

    #Begin Section Loop
    $sections_args = array( 'posts_per_page' => -1,'post__in' => (array) $sections,'orderby' => 'post__in', 'post_type'=>array('page'));
    $sections_query = new WP_Query($sections_args);
	global $dt_allowed_html_tags;
      
    if( $sections_query->have_posts() ):
        while( $sections_query->have_posts() ):
            $sections_query->the_post();
            
            $section_name = $post->post_name;
            $section_title = $post->post_title;
			
			$template = get_post_meta( $post->ID, '_wp_page_template', true );
			$tpl_default_settings = get_post_meta( $post->ID, '_tpl_default_settings', true );

			if( get_the_content() != '' || isset($tpl_default_settings['page-main-title-shortcode']) ) {
            ?>
                <section id="<?php echo esc_attr($section_name); ?>" class="content">
                    <?php
					global $post;
                    if ( $template == "tpl-portfolio.php"  ) :
                     	echo '<div class="container">';
							dttheme_page_main_title_section( $post->ID);
						echo '</div>';
                        get_template_part( 'framework/loops/content', 'tpl-portfolio-onepage' );
                        
                        if(isset($tpl_default_settings['portfolio-bottom-section']) && $tpl_default_settings['portfolio-bottom-section'] != ''):
							echo do_shortcode($tpl_default_settings['portfolio-bottom-section']);
                        endif;
                        
                    elseif ( $template == "tpl-blog.php"  ) : 
                    	dttheme_page_main_title_section( $post->ID);
                        get_template_part( 'framework/loops/content', 'tpl-blog' );
                        
                        if(isset($tpl_default_settings['blog-bottom-section']) && $tpl_default_settings['blog-bottom-section'] != ''):
						   echo do_shortcode($tpl_default_settings['blog-bottom-section']);
                        endif;

					elseif ( $template == "tpl-fullwidth.php"  ) :
						dttheme_page_main_title_section( $post->ID); 
						 	the_content();
					elseif ( $template == "tpl-onepage.php"  ) :
						 the_content();
						
                    else:
						dttheme_page_main_title_section( $post->ID);
                       	
						echo '	<div class="container">';
						 			the_content();
                       	echo '	</div>';
					   	
                    endif;
                    wp_link_pages(array('before' => '<div class="page-link"><strong>'.esc_html__('Pages:', 'mountcool').'</strong> ', 'after' => '</div>', 'next_or_number' => 'number'));
                    edit_post_link(esc_html__( ' Edit ','mountcool' ),'','',$post->ID);	
                    ?>
                </section>
         <?php
			}
        endwhile;
    endif;	
    ?>
    
<?php get_footer(); ?>