<div class="commententries">

	<?php if ( post_password_required() ) : ?>
        <p class="nopassword"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.','mountcool'); ?></p>
    <?php  return;
        endif;?>
        
    <h4><?php comments_number(esc_html__('No Comments','mountcool'), esc_html__('Comment ( 1 )','mountcool'), esc_html__('Comments ( % )','mountcool') ); ?></h4>    
    
    <?php if ( have_comments() ) : ?>
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
                    <div class="navigation">
                        <div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments','mountcool'  ) ); ?></div>
                        <div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments','mountcool') ); ?></div>
                    </div> <!-- .navigation -->
        <?php endif; // check for comment navigation ?>
        <ul class="commentlist">
            <?php wp_list_comments( array( 'callback' => 'dttheme_custom_comments' ) ); ?>
        </ul>
    <?php else: ?>
        <?php if ( ! comments_open() ) : ?>
            <p class="nocomments"><?php esc_html_e( 'Comments are closed.','mountcool'); ?></p>
        <?php endif;?>    
    <?php endif; ?>

    <!-- Comment Form -->
	<?php
	if(is_user_logged_in()) {
		$comment = "<p class='textarea-field'><span class='fa fa-file-text-o'> </span>
		<textarea required placeholder='".esc_attr__('Message','mountcool')."' rows='3' cols='5' name='comment' id='comment'></textarea></p>";
	} else {
		$comment = "<p class='textarea-field'><span class='fa fa-file-text-o'> </span>
		<textarea required placeholder='".esc_attr__('Message','mountcool')."' rows='3' cols='5' name='comment' id='comment'></textarea></p>";
	}

	$fields = array(
		"author" => "<p><span class='fa fa-user'> </span> <input type='text' required='' placeholder='".esc_attr__('Name  *','mountcool')."' title='".esc_attr__('Please enter your name','mountcool')."' name='author' id='your-name'></p>",
		"email" => '<p><span class="fa fa-envelope-o"> </span> <input type="text" required="" placeholder="'.esc_attr__('Email  *','mountcool').'" title="'.esc_attr__('Please enter your valid email_id','mountcool').'" name="email" id="your-email"> </p>',
	);

	$privacy_cmdfrm = dttheme_option('privacy','enable-commentfrm-msg');
	if( isset( $privacy_cmdfrm ) ) {

		$content = do_shortcode( dttheme_option('privacy', 'commentfrm-msg') );

		$fields['comment-form-dt-privatepolicy'] = '<span class="comment-form-dt-privatepolicy">
			<input id="comment-form-dt-privatepolicy" name="comment-form-dt-privatepolicy" type="checkbox" value="yes">
			<label for="comment-form-dt-privatepolicy">'.$content.'</label> </span>';
	}

	$comments_args = array(
		'id_form'     			=> 'comment-form',
		'title_reply' 			=> 	esc_html__( 'Post a comment','mountcool' ),
		'fields'				=> 	$fields,
		'comment_field'			=> 	$comment,
		'comment_notes_before'	=>	'',
		'comment_notes_after'	=>	'',
		'label_submit'			=>	esc_html__('Comment','mountcool'));
	
	ob_start();
	comment_form($comments_args); 
	$cmt_form = ob_get_clean(); 
	echo str_replace('class="form-submit"', 'class="form-submit dt-sc-button transparent"', $cmt_form);
	?>
</div>