<?php 
$tpl_postid = $post->ID;
$tpl_default_settings = get_post_meta( $post->ID, '_tpl_default_settings', TRUE );
$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();
?>

<?php 
$post_layout	=	isset( $tpl_default_settings['portfolio-post-layout'] ) ? $tpl_default_settings['portfolio-post-layout'] : "one-half-column";
$post_per_page	=	isset( $tpl_default_settings['portfolio-post-per-page'] ) ? $tpl_default_settings['portfolio-post-per-page'] : -1;

	if($GLOBALS['force_enable'] == true)
		$page_layout = $GLOBALS['page_layout'];
	else
		$page_layout  = array_key_exists( "layout", $tpl_default_settings ) ? $tpl_default_settings['layout'] : $GLOBALS['page_layout'];


if(is_page_template('tpl-onepage.php')) {
	$page_layout = 'fullwidth';
}

#TO SET POST LAYOUT
switch($post_layout):
	case 'one-half-column';
		$post_class = " column dt-sc-one-half ";
		$columns = 2;
	break;
	
	case 'one-third-column':
		$post_class = " column  dt-sc-one-third ";
		$columns = 3;
	break;

	case 'one-fourth-column':
	default:
		$post_class = " column  dt-sc-one-fourth";
		$columns = 4;
	break;
endswitch;


$categories =	isset($tpl_default_settings['portfolio-categories']) ? array_filter($tpl_default_settings['portfolio-categories']) : "";
if(empty($categories)):
	$categories = get_categories('taxonomy=portfolio_entries&hide_empty=1&pad_counts=1');
else:
	$args = array('taxonomy'=>'portfolio_entries','hide_empty'=>1,'include'=>$categories,'pad_counts' =>1);
	$categories = get_categories($args);
endif;  
        
        $portfolio_posts = get_post($post->ID);
    	echo do_shortcode($portfolio_posts->post_content); ?>
    	
        <?php if( sizeof($categories) > 1 ) :
                if( array_key_exists("filter",$tpl_default_settings) && (!empty($categories)) ):
                    $post_class .= " all ";?>
                    
                    <div class="dt-sc-sorting-containerr animate" data-delay="100" data-animation="fadeInUp"><?php
                      if(is_page_template('tpl-onepage.php')) { ?>
                         <a href="#" class="dt-sc-tooltip-top  active-sort" data-filter="*"><?php esc_html_e('All','mountcool'); ?></a><?php
					  }else{ ?>
						  <a href="#" class="dt-sc-tooltip-top  active-sort" title="<?php echo wp_count_posts( 'dt_portfolios' )->publish; ?>" data-filter="*"><?php esc_html_e('All','mountcool'); ?></a><?php
					  } ?>
					  
               <?php foreach( $categories as $category ): 
                        if(is_page_template('tpl-onepage.php')) { ?>
                        	<a href='#' class="dt-sc-tooltip-top" data-filter=".<?php echo esc_attr($category->category_nicename); ?>"><?php echo esc_html($category->cat_name); ?></a><?php
                        }else{ ?>
                        	<a href='#' class="dt-sc-tooltip-top" title="<?php echo esc_attr($category->count); ?>" data-filter=".<?php echo esc_attr($category->category_nicename); ?>"><?php echo esc_html($category->cat_name); ?></a><?php
                        }
                     endforeach; ?>
                   </div>
        <?php 	endif;
            endif;?>
        

<!-- **Portfolio Container** -->
<div class="dt-sc-portfolio-containerr no-space ">
    <?php
    $args = array();
	$categories = isset($tpl_default_settings['portfolio-categories']) ? array_filter($tpl_default_settings['portfolio-categories']) : '';

    if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
    elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
    else { $paged = 1; }

    if(is_array($categories) && !empty($categories)):
        $terms = $categories;
        $args = array( 
            'orderby' => 'ID',
            'order' => 'ASC',
            'paged' => $paged,
            'posts_per_page' => $post_per_page,
            'tax_query' => array( array( 'taxonomy'=>'portfolio_entries', 'field'=>'id', 'operator'=>'IN', 'terms'=>$terms ) ) );
    else:
        $args = array( 'paged' => $paged ,'posts_per_page' => $post_per_page,'post_type' => 'dt_portfolios');
    endif;

    $the_query = new WP_Query($args);
	if( $the_query->have_posts() ):
		$i = 1;
		while( $the_query->have_posts() ):
			$the_query->the_post();
			$temp_class = $post_class;
            $the_id = get_the_ID();

            $portfolio_item_meta = get_post_meta($the_id,'_portfolio_settings',TRUE);
            $portfolio_item_meta = is_array($portfolio_item_meta) ? $portfolio_item_meta  : array();

            #Find sort class by using the portfolio_entries
            $sort = " ";
            if( array_key_exists("filter",$tpl_default_settings) ):
                $item_categories = get_the_terms( $the_id, 'portfolio_entries' );
                if(is_object($item_categories) || is_array($item_categories)):
                    foreach ($item_categories as $category):
                        $sort .= $category->slug.' ';
                    endforeach;
                endif;
             endif;?>
            <div id="<?php echo "portfolio";?>" class="portfolio <?php echo esc_attr($temp_class.$sort); ?>">
                <figure>
                
                    <?php 
                        $popup = "http://placehold.it/800x400";
                        if( array_key_exists('items_name', $portfolio_item_meta) ) {
                            $item =  $portfolio_item_meta['items_name'][0];
                            $popup = $portfolio_item_meta['items'][0];
							
                            if( "video" === $item ) {
                                $items = array_diff( $portfolio_item_meta['items_name'] , array("video") );
                                if( !empty($items) ) {
                                    echo "<img src='".$portfolio_item_meta['items'][key($items)]."' width='800' height='400' alt='' />";	
                                } else {
                                    echo '<img src="http://placehold.it/800x400" width="800" height="400"/>';
                                }
                            } else {
								$attachment_id = dt_get_attachment_id_from_url($portfolio_item_meta['items'][0]);
								$img_attributes = wp_get_attachment_image_src($attachment_id, "full");
                                echo "<img src='".$img_attributes[0]."' />";
                            }
                        } else {
                            echo "<img src='{$popup}' width='800' height='400'/>";
                        }
                    ?>
                        
                    <figcaption>
                        <div class="fig-overlay">
                          <div class="portfolio-shortcut">
                            <h6><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('%s','mountcool'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h6>
                            <div class="external-icons">
                               <a data-gal="prettyPhoto[gallery]" href="<?php echo esc_url($popup); ?>" class="zoom"> <span class="fa fa-search-plus"> </span> </a>	
                               <a href="<?php the_permalink(); ?>" class="link"> <span class="fa fa-external-link"> </span> </a>	
                               
							   <?php echo dt_themes_like_love(); ?>	
                            </div>
                          </div>
                        </div>
                    </figcaption> 
                        
                </figure>
            </div><!-- Portfolio Item -->
        <?php endwhile;
	else: ?>
            <h2><?php esc_html_e('Nothing Found.', 'mountcool'); ?></h2><?php
    endif;
    wp_reset_postdata(); ?></div><!-- **Portfolio Container** -->
    <div class="dt-sc-hr-invisible"></div>

    <!-- **Pagination Starts** -->
    <?php 
			if($the_query->max_num_pages > 1): ?>
                <div class="pagination-wrapper">
                    <div class="pagination">  
                    <?php $tot_num_pages=$the_query->max_num_pages;
                             $big = 999999999; // need an unlikely integer
							 $pages = paginate_links(array(
                                                'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),  
												'current' => max( 1, get_query_var('paged') ),
                                                'total' => $tot_num_pages,
												'type'  => 'array',
                                                ));
						 
						 	if( is_array( $pages ) ) {
								$paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
								echo '<ul>';
								foreach ( $pages as $page ) {
										echo "<li>$page</li>";
								}
							   echo '</ul>';
							} ?>
                    </div>
                </div>
  <?php 	endif; 
		  ?>      
          
    <!-- **Pagination Ends** -->
<div class="dt-sc-hr-invisible"></div>