<!--general -->
<div id="general" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content">
        <ul class="sub-panel"> 
            <li><a href="#my-general"><?php esc_html_e("General",'mountcool'); ?></a></li>
            <li><a href="#my-menus"><?php esc_html_e("Menus",'mountcool'); ?></a></li>            
            <li><a href="#my-top"><?php esc_html_e("Top",'mountcool'); ?></a></li>
            <li><a href="#my-sociable"><?php esc_html_e("Sociable",'mountcool'); ?></a></li>
        </ul>
        
        <!--my-general-->
        <div id="my-general" class="tab-content">
        
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                    <!-- Logo -->
                    <div class="box-title"><h3><?php esc_html_e('Logo','mountcool'); ?></h3></div>
                    <div class="box-content">
                    
                    
                    	<div class="column three-fifth">
                            <div class="bpanel-option-set">
                                <?php $logo = array(
                                        'id'=>		'logo',
                                        'options'=>		array( 
                                            'true' => esc_html__('Custom Image Logo', 'mountcool'),
                                             '' => sprintf( esc_html__('Display Site Title %s.', 'mountcool'), '<small><a href="'.esc_url("options-general.php").'">(click here to edit site title)</a></small>' )
                                             )
                                        );
                                             
                                        $output = "";
                                        $i = 0;
                                        foreach($logo['options'] as $key => $option):
                                            $checked = ( $key ==  dttheme_option('general',$logo['id']) ) ? ' checked="checked"' : '';
                                            $output .= "<label><input type='radio' name='mytheme[general][$logo[id]]' value='{$key}'  $checked />$option</label>";
                                            if($i == 0):
                                                $output .='<div class="clear"></div>';
                                            endif;
                                        $i++;
                                        endforeach;
                                        echo !empty( $output ) ? $output : ' ';?>
                          </div><!-- .bpanel-option-set end-->
                      
                        </div>
                        
                        <div class="column two-fifth last">
                            <p class="note"><?php esc_html_e('You can choose whether you wish to display a custom logo or your site title.','mountcool'); ?></p>
                        </div>  
                        
                        <div class="hr"> </div>

                        <h6><?php esc_html_e('Logo','mountcool'); ?></h6>  
                        <div class="image-preview-container">
                            <input id="mytheme-logo" name="mytheme[general][logo-url]" type="text" class="uploadfield" readonly="readonly"
                                    value="<?php echo  dttheme_option('general','logo-url'); ?>" />
                            <input type="button" value="<?php esc_html_e('Upload','mountcool'); ?>" class="upload_image_button show_preview" />
                            <input type="button" value="<?php esc_html_e('Remove','mountcool'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','logo-url'),false,'logo.png'); ?>
                        </div>
                        
                        <p class="note"> <?php esc_html_e('Upload a logo for your theme, or specify the image address of your online logo.','mountcool'); ?> </p>
                        
                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Retina Logo','mountcool'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-retina-logo" type="text" name="mytheme[general][retina-logo-url]" class="uploadfield" readonly="readonly" 
                            value="<?php echo dttheme_option('general','retina-logo-url'); ?>"/>
                          <input type="button" value="<?php esc_html_e('Upload','mountcool'); ?>" class="upload_image_button show_preview" />
                          <input type="button" value="<?php esc_html_e('Remove','mountcool'); ?>" class="upload_image_reset" />
                          <?php dttheme_adminpanel_image_preview(dttheme_option('general','retina-logo-url'),false,'logo@2x.png'); ?>
                        </div>

                        <p class="note"><?php esc_html_e('Upload a retina logo for your theme, or specify the image address of your online logo.','mountcool'); ?></p>
                        
                        <div class="clear"></div>
                        
                        <div class="one-half-content">
                        	<h6><?php esc_html_e('Width','mountcool'); ?></h6>
                            <input type="text" class="medium" name="mytheme[general][retina-logo-width]" value="<?php echo dttheme_option('general','retina-logo-width'); ?>" />
							<?php esc_html_e('px','mountcool'); ?>
                        </div>    

                        <div class="one-half-content last">
                        	<h6><?php esc_html_e('Height','mountcool'); ?></h6>
                            <input type="text" class="medium" name="mytheme[general][retina-logo-height]" value="<?php echo dttheme_option('general','retina-logo-height'); ?>"/>
                            <?php esc_html_e('px','mountcool'); ?>
                        </div>    
                        <p class="note"><?php esc_html_e('If retina logo is uploaded, enter the standard logo width and height in above respective boxes.','mountcool'); ?></p>
                        <div class="clear"></div>

                        <div class="one-half-content">
                          <?php $label =      esc_html__("Site Title Color",'mountcool');
                          $name  =      "mytheme[general][site-color]";  
                          $value =      (dttheme_option('general','site-color') != NULL) ? dttheme_option('general','site-color') : "#19a9e5";
                          $tooltip =    esc_html__("Pick a custom site title color e.g. #564912",'mountcool'); ?>
                          <h6><?php echo esc_html($label); ?></h6>   
                          <?php dttheme_admin_color_picker("",$name,$value,''); ?>  
                          <p class="note"><?php echo esc_html($tooltip); ?></p>                    
                    </div>
                        
                    </div> <!-- Logo End -->

                    <!-- Favicon -->
                    <div class="box-title">
                        <h3><?php esc_html_e('Favicon','mountcool'); ?></h3>
                    </div>
                    <div class="box-content">
                    	<h6> <?php esc_html_e('Enable Favicon','mountcool'); ?> </h6> 
                        
                        <div class="column one-fifth">
                        <?php $checked = ( "true" ==  dttheme_option('general','enable-favicon') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  dttheme_option('general','enable-favicon') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="enable-favicon" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                            <input class="hidden" id="enable-favicon" name="mytheme[general][enable-favicon]" type="checkbox" 
                            value="true" <?php echo esc_attr($checked); ?> />
                        </div>
                        <div class="column four-fifth last"></div>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Custom Favicon','mountcool'); ?></h6>
                          <div class="image-preview-container">
                            <input id="mytheme-favicon" name="mytheme[general][favicon-url]" type="text" class="uploadfield" 
                                value="<?php echo  dttheme_option('general','favicon-url'); ?>" />
                            <input type="button" value="<?php esc_html_e('Upload','mountcool'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_html_e('Remove','mountcool'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','favicon-url'),false,'favicon.png'); ?>
                          </div>
                          <p class="note"> <?php esc_html_e('Upload a favicon for your theme, or specify the oneline URL for favicon','mountcool'); ?>  </p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPhone Icon','mountcool'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-favicon]" type="text" class="uploadfield"
                            value="<?php echo dttheme_option('general','apple-favicon'); ?>"/>
                            <input type="button" value="<?php esc_html_e('Upload','mountcool'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_html_e('Remove','mountcool'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-favicon'),false,'apple-touch-icon.png'); ?>
                        </div>
                        <p class="note"> <?php esc_html_e('Upload your custom iPhone icon (57px by 57px), or specify the oneline URL for favicon','mountcool'); ?>  </p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPhone Retina Icon','mountcool'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-retina-favicon]" type="text" class="uploadfield"
                            value="<?php echo dttheme_option('general','apple-retina-favicon'); ?>"/>
                            <input type="button" value="<?php esc_html_e('Upload','mountcool'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_html_e('Remove','mountcool'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-retina-favicon'),false,'apple-touch-icon-114x114.png'); ?>
                        </div>
                        <p class="note"><?php esc_html_e('Upload your custom iPhone retina icon (114px by 114px), or specify the oneline URL for favicon','mountcool'); ?></p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPad Icon','mountcool'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-ipad-favicon]" type="text" class="uploadfield"
                            value="<?php echo dttheme_option('general','apple-ipad-favicon'); ?>"/>
                            <input type="button" value="<?php esc_html_e('Upload','mountcool'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_html_e('Remove','mountcool'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-ipad-favicon'),false,'apple-touch-icon-72x72.png'); ?>
                        </div>
                        <p class="note"> <?php esc_html_e('Upload your custom iPad icon (72px by 72px), or specify the oneline URL for favicon','mountcool'); ?>  </p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPad Retina Icon','mountcool'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-ipad-retina-favicon]" type="text" class="uploadfield"
                            value="<?php echo dttheme_option('general','apple-ipad-retina-favicon'); ?>"/>
                            <input type="button" value="<?php esc_html_e('Upload','mountcool'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_html_e('Remove','mountcool'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-ipad-retina-favicon'),false,'apple-touch-icon-144x144.png'); ?>
                        </div>
                        <p class="note"><?php esc_html_e('Upload your custom iPad retina icon (144px by 144px), or specify the oneline URL for favicon','mountcool'); ?></p>

                    </div> <!-- Favicon End -->

                   
                    <!-- Others -->
                    <div class="box-title"><h3><?php esc_html_e('Others', 'mountcool'); ?></h3></div>
                    <div class="box-content">

                      <h6> <?php esc_html_e('Enable Sticky Navigation','mountcool'); ?></h6>
                    
                      <div class="column one-fifth">
                        	<?php $checked = ( "true" ==  dttheme_option('general','enable-sticky-nav') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  dttheme_option('general','enable-sticky-nav') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="mytheme-enable-sticky-nav" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                            <input class="hidden" id="mytheme-enable-sticky-nav" name="mytheme[general][enable-sticky-nav]" type="checkbox" 
                            value="true" <?php echo esc_attr($checked); ?> />
                        </div>
                        
                        <div class="column four-fifth last">
                            <p class="note"><?php esc_html_e('YES! to enable sticky navigation. This option is applicable only for header without animation.','mountcool'); ?> </p>
                        </div>
                        
                        <div class="clear"> </div>
                        <div class="hr"></div>
                        
                     
                     <h6> <?php esc_html_e('Disable Loading Bar','mountcool'); ?></h6>
                    
                      <div class="column one-fifth">
                        	<?php $checked = ( "true" ==  dttheme_option('general','loading-bar') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  dttheme_option('general','loading-bar') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="mytheme-loading-bar" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                            <input class="hidden" id="mytheme-loading-bar" name="mytheme[general][loading-bar]" type="checkbox" 
                            value="true" <?php echo esc_attr($checked); ?> />
                        </div>
                        
                        <div class="column four-fifth last">
                            <p class="note"><?php esc_html_e('YES! to disable loading-bar. ','mountcool'); ?> </p>
                        </div>
                        <div class="dt-sc-hr-invisible-medium "></div>
                        
                        <div class="column one-third">
                        	<h6> <?php esc_html_e('Loading Bar Text','mountcool'); ?></h6>
                        </div>
                        <div class="column one-half last">
                            <input type="text" class="fullwidth" name="mytheme[general][loading-bar-text]" value="<?php echo dttheme_option('general','loading-bar-text'); ?>" />
                        </div>
                        
                        <div class="clear"> </div>
                        <div class="hr"></div>   
                      
                      <h6> <?php esc_html_e('Globally Disable Comments on Pages','mountcool'); ?> </h6>
                      <div class="column one-fifth">
                      	<?php $checked = ( "true" ==  dttheme_option('general','disable-page-comment') ) ? ' checked="checked"' : ''; ?>
                        <?php $switchclass = ( "true" ==  dttheme_option('general','disable-page-comment') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-page-comment" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                        <input class="hidden" id="mytheme-global-page-comment" name="mytheme[general][disable-page-comment]" type="checkbox" value="true" <?php echo esc_attr($checked); ?> />
                      </div>
                      <div class="column four-fifth last">
                      	<p class="note no-margin"><?php 
							esc_html_e('YES! to disable comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings. ','mountcool'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      
                      
                      <h6><?php esc_html_e('Globally Disable Comments on Posts','mountcool'); ?></h6>
                      <div class="column one-fifth">
                      	<?php $checked = ( "true" ==  dttheme_option('general','global-post-comment') ) ? ' checked="checked"' : ''; ?>
                        <?php $switchclass = ( "true" ==  dttheme_option('general','global-post-comment') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-post-comment" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                        <input class="hidden" id="mytheme-global-post-comment" name="mytheme[general][global-post-comment]" type="checkbox" value="true" <?php echo esc_attr($checked); ?> />
                      </div>
                      <div class="column four-fifth last">
                      	<p class="note no-margin"><?php 
							esc_html_e('YES! to disable comments on all the posts. This will globally override your "Allow comments" option under your post "Discussion" settings. ','mountcool'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      

                      <h6><?php esc_html_e('Globally Disable Comments on Portfolios','mountcool'); ?></h6>
                      <div class="column one-fifth">
                      	<?php $checked = ( "true" ==  dttheme_option('general','disable-portfolio-comment') ) ? ' checked="checked"' : ''; ?>
                        <?php $switchclass = ( "true" ==  dttheme_option('general','disable-portfolio-comment') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-portfolio-comment" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                        <input class="hidden" id="mytheme-global-portfolio-comment" name="mytheme[general][disable-portfolio-comment]" type="checkbox" value="true" <?php echo esc_attr($checked); ?> />
                      </div>
                      
                      <div class="column four-fifth last">
                      	<p class="note"><?php esc_html_e('Enable/ Disable comments on portfolio pages.','mountcool'); ?> </p>
                      </div>
                      <div class="hr"></div>
                        
                      <h6><?php esc_html_e('Globally Disable Breadcrumb','mountcool'); ?></h6>
                      <div class="column one-fifth">
                        	<?php $checked = ( "true" ==  dttheme_option('general','disable-breadcrumb-globally') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  dttheme_option('general','disable-breadcrumb-globally') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="mytheme-disable-breadcrumb-globally" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                            <input class="hidden" id="mytheme-disable-breadcrumb-globally" name="mytheme[general][disable-breadcrumb-globally]" type="checkbox" value="true" <?php echo esc_attr($checked); ?> />
                        </div>
                        <div class="column four-fifth last">
                        	<p class="note"><?php esc_html_e('Enable/ Disable breadcrumbs for all pages here.','mountcool'); ?> </p>
                        </div>
                        <div class="hr"></div>

                      <!-- Breadcrumb -->
                      <h6><?php esc_html_e('Breadcrumb Delimiter','mountcool'); ?></h6>
                      <select id="mytheme-breadcrumb-delimiter" name="mytheme[general][breadcrumb-delimiter]"><?php 
                        $breadcrumb_icons = array('default','fa-angle-double-right','fa-sort','fa-angle-right','fa-caret-right','fa-arrow-right','fa-chevron-right','fa-plus','fa-hand-o-right','fa-arrow-circle-right','fa-arrow-circle-o-right');
                            foreach($breadcrumb_icons as $breadcrumb_icon):
                                $s = selected(dttheme_option('general','breadcrumb-delimiter'),$breadcrumb_icon,false);
                                echo "<option $s >$breadcrumb_icon</option>";
                            endforeach;?></select>
                            <p class="note"><?php esc_html_e('This is the symbol that will appear in between your breadcrumbs','mountcool'); ?></p>
                      <div class="hr"></div>
                      <!-- Breadcrumb -->
                      
                      <!-- Disable placeholder images -->
                      <h6><?php esc_html_e('Globally disable placeholder images','mountcool'); ?></h6>
                      <div class="column one-fifth">
                        <?php $switchclass = ( "on" ==  dttheme_option('general','disable-placeholder-images') ) ? 'checkbox-switch-on' :'checkbox-switch-off';?>
                        <div data-for="mytheme-disable-placeholder-images" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                        <input class="hidden" id="mytheme-disable-placeholder-images" name="mytheme[general][disable-placeholder-images]" type="checkbox" <?php checked(dttheme_option('general','disable-placeholder-images'),'on'); ?>/>
                      </div>
                      <div class="column four-fifth last">
                        <p class="note"><?php esc_html_e('Check if you do not want to display placeholder images on blog section','mountcool'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      <!-- Disable placeholder images -->

                      <!-- Browser Scroll -->
                      <h6><?php esc_html_e('Disable browser custom scroll','mountcool'); ?></h6>
                      <div class="column one-fifth">
                        <?php $switchclass = ( "on" ==  dttheme_option('general','disable-custom-scroll') ) ? 'checkbox-switch-on' :'checkbox-switch-off';?>
                        <div data-for="mytheme-browesr-scroll-disable" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                        <input class="hidden" id="mytheme-browesr-scroll-disable" name="mytheme[general][disable-custom-scroll]" type="checkbox"<?php checked(dttheme_option('general','disable-custom-scroll'),'on'); ?>/>
                      </div>
                      <div class="column four-fifth last">
                        <p class="note"><?php esc_html_e('Check if you do not want disable the browser custom scrollbar :)','mountcool'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      <!-- Browser Scroll -->
                      
                      <h6><?php esc_html_e('Disable Style Picker','mountcool'); ?></h6>
                      <div class="column one-fifth">
                      	<?php $switchclass = ( "on" ==  dttheme_option('general','disable-picker') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-disable-picker" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                        <input class="hidden" id="mytheme-global-disable-picker" name="mytheme[general][disable-picker]" type="checkbox" <?php checked(dttheme_option('general','disable-picker'),'on'); ?>/>                      </div>
                      <div class="column four-fifth last">
                      	<p class="note"><?php esc_html_e('YES! to hide the front end style picker','mountcool'); ?> </p>
                      </div>
                      <div class="hr"></div>

                      <h6><?php esc_html_e('Google Font Subset','mountcool'); ?></h6>
                      <div class="column one-half">
                      	<input id="mytheme-google-font-subset" name="mytheme[general][google-font-subset]" type="text" value="<?php echo dttheme_option('general','google-font-subset'); ?>"/>
                      </div>
                      
                      <div class="column one-half last">
                      	<p class="note no-margin"><?php esc_html_e('Specify which subsets should be downloaded. Multiple subsets should be separated with coma','mountcool'); ?></p>
                      </div>
                      
                      <div class="clear"> </div>
                      <div class="dt-sc-hr-invisible-small"> </div>
                      <p class="note"><?php esc_html_e('Some of the fonts in the Google Font Directory supports multiple scripts (like Latin and Cyrillic for example). In order to specify which subsets should be downloaded the subset parameter should be appended to the URL. For a complete list of available fonts and font subsets please see','mountcool'); 
							echo " <a href='http://www.google.com/webfonts'>Google Web Fonts</a>";?> </p>
                      <div class="hr"></div>
                      <div class="clear"> </div>
                      
                      <h6><?php esc_html_e('Mailchimp API KEY','mountcool'); ?></h6>
                      <div class="column one-half">
                      	<input id="mytheme-mailchimp-key" name="mytheme[general][mailchimp-key]" type="text" value="<?php echo dttheme_option('general','mailchimp-key'); ?>" />
                      </div>
                      
                      <div class="column one-half last">
                      	<p class="note no-margin"><?php esc_html_e('Paste your mailchimp api key that will be used by the newsletter shortcode.','mountcool'); ?></p>
                      </div>
                      
                      <div class="clear"> </div>
                      <div class="dt-sc-hr-invisible-small"> </div><div class="dt-sc-hr-invisible-small"> </div><div class="dt-sc-hr-invisible-small"> </div>
                        
                         <?php 
						if(dttheme_option('general','mailchimp-key') != '') { 
							?>
						
							<div class="hr"></div>
		
							<h6><?php esc_html_e('Mailchimp List Id','mountcool'); ?></h6>
							<?php
							
							$list_id = (dttheme_option('general','mailchimp-listid') != '') ? dttheme_option('general','mailchimp-listid') : '';
							
							$apiKey = dttheme_option('general','mailchimp-key');						
							$mailchimp_lists = dt_mailchimp_list_ids($apiKey);
							
							echo '<select id="mytheme-mailchimp-listid" name="mytheme[general][mailchimp-listid]">';
							foreach ($mailchimp_lists as $key => $value):
								$id = $value['id'];
								var_dump($id);
								var_dump($list_id);
								$name = $value['name'];
								$selected = selected(dttheme_option('general','mailchimp-listid'),$id,false);
								echo '<option '.$selected.' value="'.$id.'">'.$name.'</option>';
							endforeach;
							echo '</select>';
							
							?>
							<p class="note no-margin"><?php esc_html_e('Select your mailchip list id, which will be used in newsletter shortcodes.','mountcool'); ?></p>
					
							<?php 
						} 
						?>
 
                    </div>                                            
                    
            </div><!-- .bpanel-box end-->
        </div><!--my-general end-->
        
        <div id="my-menus" class="tab-content">
            <div class="bpanel-box">
                <div class="box-title"><h3><?php esc_html_e('Menus','mountcool'); ?></h3></div>
                
                <div class="box-content">

                    <div class="bpanel-option-set">
                         <input type="button" value="<?php esc_html_e('Add New Menu','mountcool'); ?>" class="black mytheme_add_item" />
                    </div>
                    
                    <div class="bpanel-option-set">
                        <ul class="menu-to-edit">
							<?php 
                            $menus = dttheme_option('menus');
                            if(is_array($menus)): 
								$keys = array_keys($menus);
								$i=0;
								foreach($menus as $s):
								?>
								<li id="<?php echo esc_attr($keys[$i]); ?>">
                                    <div class="item-bar">
                                        <span class="item-title">
											<?php
                                            $n = explode('-',$keys[$i]);
                                            $title = '';
                                            foreach($n as $x) {
												$title .= ucfirst($x).' '; 	
                                            }
                                            echo !empty( $title ) ? $title : ' ';
                                            ?>
                                        </span>
                                        <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit','mountcool'); ?></a></span>
                                    </div>
                                    <div class="item-content" style="display: none;">
                                        <span>
                                        <label><?php esc_html_e('Menu','mountcool'); ?></label>
                                        <input type="text" class="social-link" name="mytheme[menus][<?php echo esc_attr($keys[$i]); ?>]" value="<?php echo esc_attr($s); ?>"/>
                                        </span>
                                        <div class="remove-cancel-links">
                                            <span class="remove-item"><?php esc_html_e('Remove','mountcool'); ?></span>
                                            <span class="meta-sep"> | </span>
                                            <span class="cancel-item"><?php esc_html_e('Cancel','mountcool'); ?></span>
                                        </div>
                                    </div>
								</li>
								<?php 
								$i++;
							endforeach; endif;
							?> 
                        </ul>
                        
                        <ul class="sample-to-edit" style="display:none;">
                        	<!-- Menu Item -->
                            <li>
                            	<!-- .item-bar -->
                            	<div class="item-bar">
                                	<span class="item-title"><?php esc_html_e('Menu','mountcool'); ?></span>
                                    <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit','mountcool'); ?></a></span>
                                </div><!-- .item-bar -->
                                <!-- .item-content -->
                                <div class="item-content">                                
                                    <span><label><?php esc_html_e('Menu Name','mountcool'); ?></label><input type="text" class="menu-name" /></span>
                                    <div class="remove-cancel-links">
                                        <span class="remove-item"><?php esc_html_e('Remove','mountcool'); ?></span>
                                        <span class="meta-sep"> | </span>
                                        <span class="cancel-item"><?php esc_html_e('Cancel','mountcool'); ?></span>
                                    </div>
                                </div><!-- .item-content end -->
                            </li><!-- Menu Item End-->
                        </ul>
                        
                    </div>
                </div>

           </div>
        </div>
        
        <!--my-top starts-->
        <div id="my-top" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
            
                <div class="box-title">
                	<h3><?php esc_html_e('Top Section','mountcool'); ?></h3>
                </div><!-- .box-title -->

                <div class="box-content">
                	<textarea id="mytheme-bbar-tmsg" name="mytheme[general][top-message]" class="fullwidth-textarea"><?php echo stripslashes(dttheme_option('general','top-message')); ?></textarea>
                    <p class="note"><?php esc_html_e("You can add your custom top bar message here.This will display in headers Parallax Slider and Vertical Navigation .",'mountcool'); ?></p>                    
                </div><!-- .box-content-->
            
            </div><!-- .bpanel-box end -->
            
            <!-- .bpanel-box -->
            <div class="bpanel-box">
            
                <div class="box-title">
                	<h3><?php esc_html_e('Top Toggle Bar','mountcool'); ?></h3>
                </div><!-- .box-title -->

                <div class="box-content">
                	<textarea id="mytheme-bbar-tmsg" name="mytheme[general][top-toggle-bar-message]" class="fullwidth-textarea"><?php echo stripslashes(dttheme_option('general','top-toggle-bar-message')); ?></textarea>
                    <p class="note"><?php esc_html_e("You can add your custom top toggle bar welcome message. This will display all header types except DEFAULT .",'mountcool'); ?></p>                    
                </div><!-- .box-content-->
            
            </div><!-- .bpanel-box end -->
        </div><!--my-top end-->
        
         <!--my-sociable-->
        <div id="my-sociable" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
            
                <div class="box-title">
                	<h3><?php esc_html_e('Sociable','mountcool'); ?></h3>
                </div><!-- .box-title -->

                <div class="box-content">
                    <div class="bpanel-option-set">
                         <h6><?php esc_html_e('Show Sociable','mountcool'); ?></h6>
                         
                         <div class="column one-fifth">
							 <?php $switchclass = ( "on" ==  dttheme_option('general','show-sociables') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                             <div data-for="mytheme-show-sociables" class="checkbox-switch <?php echo esc_attr($switchclass); ?>"></div>
                             <input class="hidden" id="mytheme-show-sociables" name="mytheme[general][show-sociables]" type="checkbox" 
                             <?php checked(dttheme_option('general','show-sociables'),'on'); ?>/>
                         </div>
                         
                         <input type="button" value="<?php esc_html_e('Add New Sociable','mountcool'); ?>" class="black mytheme_add_item" />
                         
                         <div class="column four-fifth last">
                             <p class="note"> <?php esc_html_e('Manage Social Icons here which will be displayed in one page template Parallax Slider and Vertical Navigation','mountcool'); ?> </p>
                         </div>
                         
                         <div class="hr_invisible"></div>
                    </div>
                    
                    <div class="bpanel-option-set">
                        <ul class="menu-to-edit">
                        <?php $socials = dttheme_option('social');
						
        						      if(is_array($socials)): 
        							  	$keys = array_keys($socials);

        								$i=0;
        						 	  foreach($socials as $s):?>
                          <li id="<?php echo esc_attr($keys[$i]); ?>">
                            <div class="item-bar">
                              <span class="item-title"><?php
                               if( array_key_exists('icon', $s)) {
									$n = $s['icon']; 
									$n = explode('-',$n);

									$k = 0; $title = '';
									foreach($n as $x) {
										if($k != 0) $title .= ' '.ucfirst($x); 	
										$k++;
									}
									echo !empty( $title ) ? $title : ' ';
							   }
								?></span>

                                <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit','mountcool'); ?></a></span>
                            </div>

                            <div class="item-content" style="display: none;">
                              <span><label><?php esc_html_e('Sociable Icon','mountcool'); ?></label>
                              <?php echo dttheme_sociables_selection($keys[$i],$s['icon']); ?></span>
                              <span>
                                <label><?php esc_html_e('Sociable Link','mountcool'); ?></label>
                                <input type="text" class="social-link" name="mytheme[social][<?php echo esc_attr($keys[$i]); ?>][link]" value="<?php echo esc_attr($s['link']); ?>"/>
                              </span>

                              <div class="remove-cancel-links">
                                <span class="remove-item"><?php esc_html_e('Remove','mountcool'); ?></span>
                                <span class="meta-sep"> | </span>
                                <span class="cancel-item"><?php esc_html_e('Cancel','mountcool'); ?></span>
                              </div>
                            </div>
                          </li>
                        <?php $i++;endforeach; endif;?> 
                        </ul>
                        
                        <ul class="sample-to-edit" style="display:none;">
                        	<!-- Social Item -->
                            <li>
                            	<!-- .item-bar -->
                            	<div class="item-bar">
                                	<span class="item-title"><?php esc_html_e('Sociable','mountcool'); ?></span>
                                    <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit','mountcool'); ?></a></span>
                                </div><!-- .item-bar -->
                                <!-- .item-content -->
                                <div class="item-content">                                
                                	<span><label><?php esc_html_e('Sociable Icon','mountcool'); ?></label><?php echo dttheme_sociables_selection(); ?></span>
                                    <span><label><?php esc_html_e('Sociable Link','mountcool'); ?></label><input type="text" class="social-link" /></span>
                                    
                                    <div class="remove-cancel-links">
                                        <span class="remove-item"><?php esc_html_e('Remove','mountcool'); ?></span>
                                        <span class="meta-sep"> | </span>
                                        <span class="cancel-item"><?php esc_html_e('Cancel','mountcool'); ?></span>
                                    </div>
                                </div><!-- .item-content end -->
                            </li><!-- Social Item End-->
                        </ul>
                        
                    </div>
                </div> <!-- .box-content -->    
                
                
            </div><!-- .bpanel-box end -->
        </div><!--my-sociable end-->

        
   </div><!-- .bpanel-main-content end-->
</div><!--general end