<!doctype html>
<!--[if IE 7 ]>    <html lang="en-gb" class="isie ie7 oldie no-js"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en-gb" class="isie ie8 oldie no-js"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en-gb" class="isie ie9 no-js"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->

<head>
	<meta charset="utf-8">
	<?php dttheme_is_mobile_view(); ?>
    <link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

    <?php #Header Code Section
	  global $dt_allowed_html_tags;

	  if( dttheme_option('integration', 'enable-header-code') ):
		add_action( 'wp_head', 'dttheme_header_add_inline_script' );
		function dttheme_header_add_inline_script() {
		  $custom_js = stripslashes(dttheme_option('integration', 'header-code'));
		  wp_add_inline_script( 'jquery-nicescroll', $custom_js, 'after' );
		}
	  endif;
wp_head(); ?>
</head>
<?php 
$body_class_arg  = ( dttheme_option("appearance","layout") === "boxed" ) ? "boxed " : ""; 

$postid = ( isset( $post->ID ) ? $post->ID : NULL );
$tpl_header_styles = get_post_meta( $postid, '_tpl_default_settings', TRUE );
$tpl_header_styles = isset( $tpl_header_styles['header-styles'] ) ? $tpl_header_styles['header-styles']  : ''; ?>

<body <?php body_class( $body_class_arg ); ?>>
<?php
if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} ?>
<?php if(dttheme_option('general','loading-bar') != "true"){
	 $loading_bar_text = dttheme_option('general','loading-bar-text');
	 echo '<div id="preloader"> <h1>'.$loading_bar_text.'</h1> </div>'; 
} ?>
<?php 
$picker = dttheme_option("general","disable-picker");
if(!isset($picker) && !is_user_logged_in() ):	dttheme_color_picker();	endif;
?>
    <!-- **Wrapper** -->
    <div class="wrapper">
    	<!-- **Inner Wrapper** -->
        <div class="inner-wrapper">

      	<!-- Header Starts here -->
		<?php if($tpl_header_styles != 'type1'){ ?>
            <section id="panel">
                <div class="container"><?php
					global $dt_allowed_html_tags;
					$top_toggle_bar_msg = stripslashes(dttheme_option('general','top-toggle-bar-message'));
					$top_toggle_bar_msg = do_shortcode($top_toggle_bar_msg);
					echo !empty($top_toggle_bar_msg) ? $top_toggle_bar_msg : ' '; ?>
                </div>           
            </section>
            
            <div id="toggle-panel">
            	<a id="toggle" href="#"><i class="fa fa-plus"></i></a>
            </div>
      <?php } ?>

	<?php 
	global $post;
	
	if(is_page_template('tpl-onepage.php')) {
		if($tpl_header_styles == 'type1') {
			require_once(IAMD_TD."/framework/headers/header-default.php");
		} else if($tpl_header_styles == 'type2') {
			require_once(IAMD_TD."/framework/headers/header1.php");
		} else if($tpl_header_styles == 'type3') {
			require_once(IAMD_TD."/framework/headers/header2.php");
		} else if($tpl_header_styles == 'type4') {
			require_once(IAMD_TD."/framework/headers/header3.php");
		} else if($tpl_header_styles == 'type5') {
			require_once(IAMD_TD."/framework/headers/header4.php");
		} else if($tpl_header_styles == 'type6') {
			require_once(IAMD_TD."/framework/headers/header5.php");
		}else if($tpl_header_styles == 'type7') {
			require_once(IAMD_TD."/framework/headers/header6.php");
		}else if($tpl_header_styles == 'type8') {
			require_once(IAMD_TD."/framework/headers/header7.php");
		}		
	} else {
		require_once(IAMD_TD."/framework/headers/header-default.php");
	} ?>

    <!--main-content starts-->
   <?php  if($tpl_header_styles == 'type8'): ?> 
    		<div id="sb-site" class="wrapper">
        	  <div class="inner-wrapper">
              
	<?php  endif;?>
    
    <?php  if($tpl_header_styles == 'type7' || $tpl_header_styles == 'type4'): 
              $class = 'class=header3';
           endif; 
		   $class = !empty($class) ? $class : ' ';
		   ?>

    		     <div id="main" <?php echo esc_html($class); ?>> 
    
    <?php
	if(is_page_template('tpl-onepage.php') && ($tpl_header_styles == 'type2' || $tpl_header_styles == 'type4' || $tpl_header_styles == 'type7' || $tpl_header_styles == 'type6')  ):
		dttheme_slider_section( $post->ID, 'topsection');	
    endif;
	?>
    
		<?php if( !is_page_template('tpl-onepage.php') ): ?>
        	<?php require_once( IAMD_TD."/framework/sub-title.php"); ?>
		 <?php endif; ?>